Bug 1015492 - Review Request: python3-configobj - Config file reading, writing, and validation
Review Request: python3-configobj - Config file reading, writing, and validation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
: 1015491 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 07:44 EDT by Sergio Pascual
Modified: 2013-10-08 05:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 05:04:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2013-10-04 07:44:23 EDT
Spec URL: http://guaix.fis.ucm.es/~spr/python3-configobj.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python3-configobj-4.7.2-1.20131004hg10adc6e7d759.fc19.src.rpm
Description: 
ConfigObj is a simple but powerful config file reader and writer: an ini file
round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files. 
It has lots of other features though:
    * Nested sections (subsections), to any level
    * List values
    * Multiple line values
    * String interpolation (substitution)
    * Integrated with a powerful validation system
          o including automatic type checking/conversion
          o repeated sections
          o and allowing default values
    * All comments in the file are preserved
    * The order of keys/sections is preserved
    * No external dependencies
    * Full Unicode support
    * A powerful unrepr mode for storing basic datatypes

Fedora Account System Username: sergiopr
Comment 1 Sergio Pascual 2013-10-04 07:45:02 EDT
*** Bug 1015491 has been marked as a duplicate of this bug. ***
Comment 2 Sergio Pascual 2013-10-04 07:47:45 EDT
This is the python3 version of python-configobj. Upstream doesn' want to maintain a python3 port. But the original author of configobj has "blessed" this as the method to obtain a python3 compatible package.

http://www.voidspace.org.uk/python/weblog/arch_d7_2010_12_11.shtml
Comment 3 Sergio Pascual 2013-10-04 07:49:58 EDT
See also

https://bugzilla.redhat.com/show_bug.cgi?id=1014665
Comment 4 Sergio Pascual 2013-10-04 07:56:52 EDT
Update, fixes a bug that was in python-configobj also

Spec URL: http://guaix.fis.ucm.es/~spr/python3-configobj.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python3-configobj-4.7.2-2.20131004hg10adc6e7d759.fc19.src.rpm
Comment 5 Zbigniew Jędrzejewski-Szmek 2013-10-04 17:46:42 EDT
It's easier to use:
Source0: https://bitbucket.org/pkumar/configobj-py3/get/10adc6e7d759.tar.bz2
Those .hg files shouldn't hurt in any way.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
(BSD)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 9 files have unknown license. Detailed output of
     licensecheck in
     /home/zbyszek/fedora/1015492-python3-configobj/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
(https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28python3_modules.29)
[ ]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 378880 bytes in 7 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[?]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-configobj-4.7.2-2.20131004hg10adc6e7d759.fc19.noarch.rpm
python3-configobj.noarch: W: spelling-error Summary(en_US) Config -> Con fig, Con-fig, Configure
python3-configobj.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
python3-configobj.noarch: W: spelling-error %description -l en_US ini -> uni, in, ii
python3-configobj.noarch: W: spelling-error %description -l en_US unrepr -> unreported
python3-configobj.noarch: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

All bogus as usual.

Issues:
- simplify Source0
- please bug upstream to include license file

Package is good to go, when those simple issues are fixed.
Comment 6 Sergio Pascual 2013-10-05 10:22:28 EDT
Spec URL: http://guaix.fis.ucm.es/~spr/python3-configobj.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python3-configobj-4.7.2-3.20131005hg75b2805d35b9.fc19.src.rpm

I have switched the upstream URL to a personal fork and added the LICENSE.txt there
Comment 7 Zbigniew Jędrzejewski-Szmek 2013-10-05 14:02:14 EDT
I don't think that's a good idea. This essentially creates a fork, which adds additional overhead, because you must sync your repo against upstream. This makes it harder for co-maintainers and proven packagers to update the package if the need ever arises, and fedora's goal is staying close to the upstream. The package is fine without a license file, even if we would prefer to have it. Please instead ask upstream to merge your fork (if you haven't done that already), and revert Source0 to point to upstream.
Comment 9 Zbigniew Jędrzejewski-Szmek 2013-10-05 20:06:18 EDT
Package is APPROVED.
Comment 10 Sergio Pascual 2013-10-06 15:51:41 EDT
New Package SCM Request
=======================
Package Name: python3-configobj
Short Description: Config file reading, writing, and validation
Owners: sergiopr
Branches: f20 f19 f18
InitialCC:
Comment 11 Gwyn Ciesla 2013-10-07 08:20:11 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.